Page MenuHomeFreeBSD

Update cmake to 3.8.0
ClosedPublic

Authored by tcberner on Feb 12 2017, 5:44 PM.

Details

Summary
  • Update cmake to 3.8.0
  • Wait for the release :-)
Test Plan

Exp-Run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 25056.Feb 12 2017, 5:44 PM
tcberner retitled this revision from to Update cmake to 3.8.0.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added a reviewer: rakuco.
tcberner updated this revision to Diff 25057.Feb 12 2017, 5:45 PM
  • Fix plist in devel/cmake
rakuco edited edge metadata.Feb 12 2017, 6:10 PM

Do you intend to commit the RC to the ports tree? If so, you need to add a suffix that will be bumped/removed with newer RCs and the final release.

devel/cmake/Makefile
35 ↗(On Diff #25057)

Don't you need to do the same in cmake-gui?

Don't worry, I'll wait for the release.

tcberner updated this revision to Diff 25059.Feb 12 2017, 6:22 PM
tcberner marked an inline comment as done.
tcberner edited edge metadata.
  • Add security/rhash also to the LIB_DEPENDS of cmake-gui, as @rakuco correctly pointed out.
rakuco accepted this revision.Feb 12 2017, 7:16 PM
rakuco edited edge metadata.

lgtm then

This revision is now accepted and ready to land.Feb 12 2017, 7:16 PM
mat accepted this revision.Feb 13 2017, 4:17 PM
mat added a reviewer: mat.
mat added inline comments.
devel/cmake-doc/Makefile
4–5 ↗(On Diff #25059)

This should be:

DISTVERSION= 3.8.0-rc1

devel/cmake-gui/Makefile
4–5 ↗(On Diff #25059)

same.

devel/cmake/Makefile
4–5 ↗(On Diff #25059)

same.

Ah, DISTVERSION accepts -rc1, nice :)

I will update the diff once 3.8.0 is officially released -- so that does not really matter.

mat added a comment.Feb 13 2017, 5:15 PM

Ah, DISTVERSION accepts -rc1, nice :)

The whole point of DISTVERSION is to grok upstream version numbers into what pkg version understands.

So, yes, It'll turn -rc1 in .r1, for example.

tcberner updated this revision to Diff 27330.Apr 10 2017, 10:13 PM
tcberner edited edge metadata.

It finally got released...

I'll ask for an exp-run tomorrow.

This revision now requires review to proceed.Apr 10 2017, 10:13 PM
This revision is now accepted and ready to land.Apr 19 2017, 2:37 PM
This revision was automatically updated to reflect the committed changes.